# Method: accounts.businessInfo.updateBusinessInfo

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo/updateBusinessInfo#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo/updateBusinessInfo#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo/updateBusinessInfo#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo/updateBusinessInfo#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo/updateBusinessInfo#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo/updateBusinessInfo#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo/updateBusinessInfo#try-it)

Updates the business info of an account. Executing this method requires admin access.

### HTTP request

`PATCH https://merchantapi.googleapis.com/accounts/v1/{businessInfo.name=accounts/*/businessInfo}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `businessInfo.name` | `string` Identifier. The resource name of the business info. Format: `accounts/{account}/businessInfo` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. List of fields being updated. The following fields are supported (in both `snake_case` and `lowerCamelCase`): - `address` - `customerService` - `koreanBusinessRegistrationNumber` |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo#BusinessInfo`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.businessInfo#BusinessInfo`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).